Skip to main content
GET
/
_api
/
offerings
/
{offeringId}
/
orders
/
{orderId}
Get offering order
curl --request GET \
  --url https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId} \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "offering": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "symbol": "<string>",
    "blockchain": "<string>",
    "tokenization_platform": "<string>",
    "decimals": 123,
    "type": "<string>",
    "price_per_token": "<string>"
  },
  "units": "<string>",
  "total_amount": 123,
  "paid_at": "<string>",
  "paid_amount": 123,
  "currency": "<string>",
  "status": "<string>",
  "account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "full_name": "<string>",
    "email": "<string>",
    "type": "<string>"
  },
  "bank_account": {
    "account_holder": "<string>",
    "bank": "<string>",
    "bic": "<string>",
    "iban": "<string>",
    "currency": "<string>"
  },
  "created_at": "<string>"
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}

Authorizations

Authorization
string
header
required

Bearer access token from POST /_api/auth

Path Parameters

offeringId
string<uuid>
required

offeringId identifier

orderId
string<uuid>
required

orderId identifier

Response

Success

id
string<uuid>
required
offering
object
required
units
string
required
total_amount
number
required
payment_provider
enum<string> | null
required
Available options:
bank_transfer,
stripe,
checkout,
tokensale
paid_at
string | null
required
paid_amount
number
required
currency
string | null
required
status
string
required
account
object
required
bank_account
object
required
created_at
string | null
required